using System;
using System.Collections.Generic;
using System.Text;

namespace NQueue.Entities
{
    /// <summary>
    /// Represents a host - a logical destination for a job instance to be assigned for processing
    /// </summary>
    public class Host 
    {
        public Host() { }
        public Host(int hostID, string hostName)
        {
            this._hostID = hostID;
            this._hostName = hostName;
        }

        private int _hostID;
        private string _hostName;

        /// <summary>
        /// Database ID of the host
        /// </summary>
        public int HostID
        {
            get { return _hostID; }
            set { _hostID = value; }
        }
        /// <summary>
        /// Name of the host
        /// </summary>
        public string HostName
        {
            get { return _hostName; }
            set { _hostName = value; }
        }

        public override string ToString()
        {
            return HostName;
        }


    }
}
