using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration.Install;
using NQueue.Client;

namespace NQueue
{
    [RunInstaller(true)]
    public partial class Installer1 : Installer
    {
        public Installer1()
        {
            InitializeComponent();
        }
        /// <summary>
        /// Make sure the event log source is created during install
        /// </summary>
        /// <param name="savedState"></param>
        protected override void OnBeforeInstall(System.Collections.IDictionary savedState)
        {
            base.OnBeforeInstall(savedState);
            EventLogger.EnsureEventSource();
            EventLogger.LogInformationEvent("Installed event source " + EventLogger.EVENTLOGSOURCE);
        }

    }
}