using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace NQueue
{
    public partial class ServiceCredentialsForm : Form
    {
        public delegate void CredentialsSelectedDelegate(string userName, string password);
        public event CredentialsSelectedDelegate CredentialsSelected;

        public ServiceCredentialsForm()
        {
            Initialise();
        }

        private void Initialise()
        {
            InitializeComponent();
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            if (CredentialsSelected != null)
                CredentialsSelected(txtUserName.Text, txtPassword.Text);
            
            this.Close();
        }

        public string UserName
        {
            get
            {
                return txtUserName.Text;
            }
        }
        public string Password
        {
            get
            {
                return txtPassword.Text;
            }
        }

        private void ServiceCredentialsForm_Load(object sender, EventArgs e)
        {

        }


    }
}