using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using NQueue.BusinessServices.Jobs;
using NQueue.Entities;

public partial class _JobInstanceReport : System.Web.UI.Page 
{
    protected int _jobInstanceID;
    protected void Page_Load(object sender, EventArgs e)
    {

        if (!int.TryParse(Request.Params["JobInstanceID"], out this._jobInstanceID))
        {
            throw new InvalidOperationException("Job instance parameter not supplied");
        }
        if (!Page.IsPostBack)
        {
            lblJobInstanceID.Text = string.Format("Job instance {0}", this._jobInstanceID);
            if (JobInstanceWorkItemListSource.SelectParameters.Count == 0)
                JobInstanceWorkItemListSource.SelectParameters.Add("jobInstanceID", this._jobInstanceID.ToString());
            drpStatus.SelectedValue = JobManager.GetJobInstanceStateID(this._jobInstanceID).ToString();
        }
    }
    protected void drpStatus_SelectedIndexChanged(object sender, EventArgs e)
    {
        JobManager.UpdateJobInstanceState(this._jobInstanceID, JobInstance.ConvertStateIDToState(Int32.Parse(drpStatus.SelectedValue)));
    }
}
