use NQueue
go

insert WorkItemStatuses (WorkItemStatusID, WorkItemStatusDescription) values (1, 'New')
insert WorkItemStatuses (WorkItemStatusID, WorkItemStatusDescription) values (2, 'Processing')
insert WorkItemStatuses (WorkItemStatusID, WorkItemStatusDescription) values (3, 'Completed')
insert WorkItemStatuses (WorkItemStatusID, WorkItemStatusDescription) values (4, 'Failed')
insert WorkItemStatuses (WorkItemStatusID, WorkItemStatusDescription) values (5, 'Expired')	--not used
insert WorkItemStatuses (WorkItemStatusID, WorkItemStatusDescription) values (6, 'TimedOut')--not used
insert WorkItemStatuses (WorkItemStatusID, WorkItemStatusDescription) values (7, 'Duplicate')
insert WorkItemStatuses (WorkItemStatusID, WorkItemStatusDescription) values (8, 'Disabled')


insert WorkLogTypes (WorkLogTypeID, WorkLogType) values (1, 'Information')
insert WorkLogTypes (WorkLogTypeID, WorkLogType) values (2, 'Warning')
insert WorkLogTypes (WorkLogTypeID, WorkLogType) values (3, 'Error')

insert ScheduleTypes (ScheduleTypeID, ScheduleType, ScheduleTypeStrongName, ScheduleTypeClassType) values (1, 'Daily', 'NQueue.BusinessServices.Scheduling, Version=1.0.0.0, Culture=neutral, PublicKeyToken=d5f1da7c501d0b59', 'NQueue.BusinessServices.Scheduling.ScheduleProcessors.DailyScheduleProcessor')
insert ScheduleTypes (ScheduleTypeID, ScheduleType, ScheduleTypeStrongName, ScheduleTypeClassType) values (2, 'Weekly', 'NQueue.BusinessServices.Scheduling, Version=1.0.0.0, Culture=neutral, PublicKeyToken=d5f1da7c501d0b59', 'NQueue.BusinessServices.Scheduling.ScheduleProcessors.WeeklyScheduleProcessor')
insert ScheduleTypes (ScheduleTypeID, ScheduleType, ScheduleTypeStrongName, ScheduleTypeClassType) values (3, 'Monthly', 'NQueue.BusinessServices.Scheduling, Version=1.0.0.0, Culture=neutral, PublicKeyToken=d5f1da7c501d0b59', 'NQueue.BusinessServices.Scheduling.ScheduleProcessors.MonthlyScheduleProcessor')
insert ScheduleTypes (ScheduleTypeID, ScheduleType, ScheduleTypeStrongName, ScheduleTypeClassType) values (4, 'Minutely', 'NQueue.BusinessServices.Scheduling, Version=1.0.0.0, Culture=neutral, PublicKeyToken=d5f1da7c501d0b59', 'NQueue.BusinessServices.Scheduling.ScheduleProcessors.MinutelyScheduleProcessor')

insert AspNet_SqlCacheTablesForChangeNotification (tableName, notificationCreated, changeId)
values ('JobInstances', GetDate(), 1)

insert JobInstanceStates (JobInstanceStateID, JobInstanceStateName) values (1, 'Enabled')
insert JobInstanceStates (JobInstanceStateID, JobInstanceStateName) values (2, 'Disabled')
insert JobInstanceStates (JobInstanceStateID, JobInstanceStateName) values (3, 'Paused')
go
