using System;
using System.Collections.Generic;
using System.Text;

namespace NQueue.Entities
{
    /// <summary>
    /// All possible results of determining whether a schedule is due to be run
    /// </summary>
    public enum ScheduleProcessingDueResults
    {
        /// <summary>
        /// Schedule should not be run yet
        /// </summary>
        NotDue,
        /// <summary>
        /// Schedule is due to be run
        /// </summary>
        Due,
        /// <summary>
        /// Schedule is overdue to be run
        /// </summary>
        Overdue
    }
}
