using System;
using System.Collections.Generic;
using System.Text;
using System.Data.SqlClient;
using NQueue.DataServices;

namespace NQueue.UnitTests
{
    /// <summary>
    /// helper functions for unit tests
    /// </summary>
    public class Common
    {
        public static void ExecuteNonQuery(string sql)
        {
            using (SqlConnection cnn = DBCommon.GetConnection())
            {
                SqlCommand cmd = new SqlCommand();
                cmd.Connection = cnn;
                cmd.CommandText = sql;
                cmd.CommandType = System.Data.CommandType.Text;
                cnn.Open();
                cmd.ExecuteNonQuery();
            }
        }

        public static int ExecuteScalarInt(string sql)
        {
            using (SqlConnection cnn = DBCommon.GetConnection())
            {
                SqlCommand cmd = new SqlCommand();
                cmd.Connection = cnn;
                cmd.CommandText = sql;
                cmd.CommandType = System.Data.CommandType.Text;
                cnn.Open();
                return (int) cmd.ExecuteScalar();
            }
        }
    }
}
