﻿<%@ Page MasterPageFile="~/NQueue_BatchAdmin.master" Language="C#" AutoEventWireup="true"  CodeFile="JobInstanceReport.aspx.cs" Inherits="_JobInstanceReport" %>
<asp:Content ContentPlaceHolderID="mainContentLocation" runat="server">
    <asp:DropDownList ID="drpStatus" runat="server" AutoPostBack="true" OnSelectedIndexChanged="drpStatus_SelectedIndexChanged">
        <asp:ListItem Selected="True" Value="1">Enabled</asp:ListItem>
        <asp:ListItem Value="2">Disabled</asp:ListItem>
        <asp:ListItem Value="3">Paused</asp:ListItem>
    </asp:DropDownList>
    <asp:GridView CssClass="propertyTable" ID="grdInstanceReport" runat="server" DataSourceID="JobInstanceWorkItemListSource" AutoGenerateColumns="False" AllowPaging="True">
        <Columns>
            <asp:HyperLinkField DataNavigateUrlFields="WorkItemID" DataNavigateUrlFormatString="~/ViewLogs.aspx?WorkItemID={0}"
                DataTextField="WorkItemID" DataTextFormatString="Work Item {0}" />
            <asp:BoundField DataField="WorkItemStatus" HeaderText="WorkItemStatus" SortExpression="WorkItemStatus" />
            <asp:BoundField DataField="DateEnqueued" HeaderText="DateEnqueued" SortExpression="DateEnqueued" />
            <asp:BoundField DataField="DateToExecute" HeaderText="DateToExecute" SortExpression="DateToExecute" />
            <asp:BoundField DataField="DateDequeued" HeaderText="DateDequeued" SortExpression="DateDequeued" />
            <asp:BoundField DataField="DateToExpire" HeaderText="DateToExpire" SortExpression="DateToExpire" />
            <asp:BoundField DataField="DateWorkCompleted" HeaderText="DateWorkCompleted" SortExpression="DateWorkCompleted" />
            <asp:BoundField DataField="ServerAffinity" HeaderText="ServerAffinity" SortExpression="ServerAffinity" />
        </Columns>
    </asp:GridView>
    <br />
    <asp:Label ID="lblJobInstanceID" runat="server" /><br />
    <asp:ObjectDataSource ID="JobInstanceWorkItemListSource" runat="server" SelectMethod="GetWorkQueueForJobInstance" TypeName="NQueue.BusinessServices.System.WorkLogReader"/>
</asp:Content>
