using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _ViewLogs : System.Web.UI.Page 
{
    protected int _workItemID;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!int.TryParse(Request.Params["WorkItemID"], out this._workItemID))
        {
            throw new InvalidOperationException("Work item parameter not supplied");
        }
        lblWorkItemID.Text = string.Format("WorkItem ID {0}", this._workItemID);
        if (WorkItemListSource.SelectParameters.Count == 0)
            WorkItemListSource.SelectParameters.Add("workQueueItemID", this._workItemID.ToString());
    }
}
